summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2015-08-23 22:03:08 +0200
committerBernard Cafarelli <voyageur@gentoo.org>2015-08-23 22:03:21 +0200
commit4d89cd9fd29ddc038cb654ab9ad5bea5901ac796 (patch)
treea55e334f0777a03411c3d294a01bfcbb20aa1b14 /x11-plugins
parentx11-plugins/wmacpi: fix compilation with new libdockapp (diff)
downloadgentoo-4d89cd9fd29ddc038cb654ab9ad5bea5901ac796.tar.gz
gentoo-4d89cd9fd29ddc038cb654ab9ad5bea5901ac796.tar.bz2
gentoo-4d89cd9fd29ddc038cb654ab9ad5bea5901ac796.zip
x11-plugins/wmail: EAPI bump, fix compilation with new libdockapp
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'x11-plugins')
-rw-r--r--x11-plugins/wmail/Manifest2
-rw-r--r--x11-plugins/wmail/wmail-2.0-r3.ebuild4
-rw-r--r--x11-plugins/wmail/wmail-2.0-r4.ebuild44
3 files changed, 47 insertions, 3 deletions
diff --git a/x11-plugins/wmail/Manifest b/x11-plugins/wmail/Manifest
index cf268db718f..9df7f23a647 100644
--- a/x11-plugins/wmail/Manifest
+++ b/x11-plugins/wmail/Manifest
@@ -1 +1 @@
-DIST wmail-2.0.tar.gz 46468 RMD160 5901792368a309734c80333dd14dcee427151d8d SHA1 1495c8188122a4f29d1b0db7ad4a6ee27a5156db SHA256 edcf77bf6a638b96dbd78efe4802d260a68385ab2deb6d6774e325ea0cd3d245
+DIST wmail-2.0.tar.gz 46468 SHA256 edcf77bf6a638b96dbd78efe4802d260a68385ab2deb6d6774e325ea0cd3d245 SHA512 62ca761619af006221ac64003246b8d7b0dacee65cd4dd6a5c31e6fc152f9f97646ceb7e757bd81333a792c73280479591dc24bb29f9da2023f2927ec2827039 WHIRLPOOL e10e5a06570de6eb725045ed2e72d07db39791433b0d454b6796cb452170add4aa9781eea3bc73fe53294d4e5f6e58dfcde019c830f154a9235dce16f1656c91
diff --git a/x11-plugins/wmail/wmail-2.0-r3.ebuild b/x11-plugins/wmail/wmail-2.0-r3.ebuild
index af6b9779129..6746a21b070 100644
--- a/x11-plugins/wmail/wmail-2.0-r3.ebuild
+++ b/x11-plugins/wmail/wmail-2.0-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -13,7 +13,7 @@ SLOT="0"
KEYWORDS="amd64 ppc sparc x86"
IUSE=""
-RDEPEND="x11-libs/libdockapp"
+RDEPEND="<x11-libs/libdockapp-0.7"
DEPEND="${RDEPEND}
>=sys-apps/sed-4.1.4-r1"
diff --git a/x11-plugins/wmail/wmail-2.0-r4.ebuild b/x11-plugins/wmail/wmail-2.0-r4.ebuild
new file mode 100644
index 00000000000..25c3481c226
--- /dev/null
+++ b/x11-plugins/wmail/wmail-2.0-r4.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils
+
+DESCRIPTION="Window Maker dock application showing incoming mail"
+HOMEPAGE="http://dockapps.windowmaker.org/file.php/id/70"
+SRC_URI="http://www.minet.uni-jena.de/~topical/sveng/wmail/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE=""
+
+RDEPEND=">=x11-libs/libdockapp-0.7:="
+
+DEPEND="${RDEPEND}
+ >=sys-apps/sed-4.1.4-r1"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}.support-libdockapp-0.5.0.patch
+
+ # make from parsing in maildir format faster, thanks
+ # to Stanislav Kuchar
+ epatch "${FILESDIR}"/${P}.maildir-parse-from.patch
+
+ # fix LDFLAGS ordering, see bug #248620
+ sed -i 's/$(LIBS) -o $@ $^/-o $@ $^ $(LIBS)/' "${S}/src/Makefile.in"
+
+ # Honour Gentoo LDFLAGS, see bug #337407
+ sed -i 's/-o $@ $^ $(LIBS)/$(LDFLAGS) -o $@ $^ $(LIBS)/' "${S}/src/Makefile.in"
+ sed -e 's#<dockapp.h>#<libdockapp/dockapp.h>#' -i *.c || die
+}
+
+src_configure() {
+ econf --enable-delt-xpms
+}
+
+src_install() {
+ dobin src/wmail
+ dodoc README wmailrc-sample
+}